#
# spec file for package python3-Markups
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-Markups
Version:        2.0.0
Release:        2.2
Summary:        A wrapper around various text markups
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/mitya57/pymarkups
Source:         https://files.pythonhosted.org/packages/source/M/Markups/Markups-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This module provides a wrapper around the various text markup languages,
such as Markdown_ and reStructuredText_ (these two are supported by default).

%prep
%setup -q -n Markups-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst changelog LICENSE
%{python3_sitelib}/*

%changelog
* Sat May 14 2016 mpluskal@suse.com
- Update to version 2.0.0:
  * Changed the API of pymarkups to clearly separate the conversion
    step from access to the various elements of the result. The old
    API is deprecated and will be removed in a future release.
    Please see the documentation for details on using the new API.
  * The reStructuredText markup now includes document title and
    subtitle in the HTML body.
  * Added a ``markup2html.py`` reference script to show API usage.
  * Improved support for specifying Markdown extensions in the
    document.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Wed Dec 30 2015 arun@gmx.de
- update to version 1.0.1:
  * The Textile markup now uses the recommended python-textile API.
  * Fixed warnings during installation.
  * Python-Markdown Math extension updated to the latest version.
* Tue Dec 15 2015 arun@gmx.de
- specfile:
  * added requirement for setuptools
- update to version 1.0.0:
  * Web module removed, as ReText no longer needs it.
  * Textile markup updated to work with the latest version of Python-Textile
    module.
  * The setup script now uses setuptools when it is available.
  * Testsuite and documentation improvements.
* Thu Jun 18 2015 arun@gmx.de
- update to version 0.6.3:
  * No-change re-upload with fixed tarball and changelog.
- changes from version 0.6.2
  * Markdown markup: fixed detection of codehilite extension with
    options.
  * Added a warning about deprecation of the markups.web module.
* Sat Apr 25 2015 arun@gmx.de
- specfile:
  * updated url
  * README -> README.rst
- update to version 0.6.1:
  * PyMarkups now uses warnings system instead of printing messages
    to stderr.
  * Improvements to Markdown markup:
    + Fixed parsing math that contains nested environments
    (thanks to Gautam Iyer for the patch).
    + Fixed crash on extensions names starting with dot.
  * Miscellaneous fixes.
* Wed Jan 28 2015 arun@gmx.de
- update to version 0.6.0:
  * Custom markups are now normal Python modules.
  * Web module no longer supports Python 2.x.
  * Refactor the code related to Markdown extensions to make it
    work with upcoming Python-Markdown releases.
  * MathJax extension is now in a separate module.
* Thu Jan  8 2015 arun@gmx.de
- specfile: update copyright year
- changes from Version 0.5.2:
  * Fixed loading of Markdown extensions with options.
- changes from Version 0.5.1:
  * Fixed Markdown markup crash on empty files.
  * Include documentation in the tarballs.
  * Testsuite improvements.
- changes from Version 0.5:
  * Improvements to Markdown markup:
    + All math delimeters except "$...$" are now enabled by
    default
    + "remove_extra" extension now disables formulas support
    + It is now possible to specify required extensions in the
    first line of the file
  * Add Sphinx documentation
* Wed Apr 16 2014 mailaender@opensuse.org
- initial packaging
